PPOWER(1)

NAME
ppower - Client for controlling x10 hardware.

SYNOPSIS
ppower [OPTION]... [COMMAND]

DESCRIPTION
Ppower is the client program for accessing x10 hardware. With it you can ask the ppowerd daemon to change the state of x10 hardware as well as monitor x10 messages received by the daemon from the power line.

  Command Format
If no other arguments are given, ppower expects a command. The command is of the form

[DEVICE],...:[STATE]<:VALUE><:EXTENDED VALUE>

A DEVICE is specified as a housecode letter and a devicecode digit like "a1" or a named device like "light1" if such a name has been defined in the configuration file.

The VALUE is used by BIM and BRIGHT commands to specify the change from 0 to 22, where 0 is the least change.

An EXTENDED_DATA_TRANSFER requires the VALUE and EXTENDED VALUE to be specified.

See the EXAMPLES section for example commands.

  States

ALL_UNITS_OFF
    Turn all units on the given housecode off. For this command, instead of a device list, you can specify the housecode letter.

ALL_LIGHTS_ON
    Turn all lights on the given housecode on. For this command, instead of a device list, you can specify the housecode letter.

ON  Turn the selected devices on.

OFF Turn the selected devices off.

DIM Dim the selected devices by a VALUE.

BRIGHT
    Brighten the selected devices by a VALUE.

ALL_LIGHTS_OFF
    Turn all lights on the given housecode off. For this command, instead of a device list, you can specify the housecode letter.

EXTENDED_CODE
    XXX: I haven't figured out what this does. It might only pertain to hardware macros.

HAIL_REQUEST
    Sends a hail request to the listed devices.

HAIL_ACKNOWLEDGE
    Sends a hail acknowledge to the listed devices.

PRESET_DIM1
    Sends the first preset dim to the listed devices.

PRESET_DIM2
    Sends the second preset dim to the listed devices.

EXTENDED_DATA_TRANSFER
    Sends two bytes of data to selected devices. The VALUE and EXTENDED VALUE must be specified.

STATUS_ON
    XXX: Unknown.

STATUS_OFF
    XXX: Unknown.

STATUS_REQUEST
    Returns the status of the listed devices. The only thing I have that answers this is the transceiver.

OPTIONS

-v, --version
    display program vesrion

-h, --help
    give help on usage

-m, --monitor
    monitors the x10 hardware for changes

-s, --status
    reports status of known x10 devices

-f, --conf=FILE
    specify alternate configuration file

-d, --debug=LEVEL
    set the debug level, 0 is off; check the program's --help to see what the maximum debug level currently is as well as the compiled in default

--refresh
    force the daemon to reload the configuration file; this is mainly for devices, aliases and macros; sockets and permissions won't be affected

--shutdown
    stop the currently running daemon

EXAMPLES

  Issuing Commands
Turn the device set to a1 on. ppower a1:ON

Turn the fan you have listed in your configuration file on. ppower fan:ON

Turn a group of devices on. ppower a1,b2,c3:ON

Dim the light attached to a2 by about 50%. ppower a2:DIM:11

Dim the light attached to a2 as far as it will go. ppower a2:DIM:22

  Listening to the Daemon
Monitor incoming x10 commands. ppower -m

List the status of all known devices. ppower -s

FILES

ppower.conf
    The configuration file for the ppower package. See the example configuration file included in the distribution and the documentation for examples.

AUTHOR
Steven Brown <swbrown@ucsd.edu>.

BUGS
A lot of the states arn't accepted by any x10 hardware I know of. Also, a lot of functionality is missing or half-implemented as this project is quite new. Check the TODO file included in the distribution for a better list.

REPORTING BUGS
Report bugs to <swbrown@ucsd.edu>.